Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.cache
Class RemovalNotification<K,V>

    java.lang.Object
      com.google.common.cache.RemovalNotification<K,V>

All Implemented Interfaces:
  Map.Entry<K,V>

    @Beta
    public final class RemovalNotification<K,V>

extends Object
implements Map.Entry<K,V>

A notification of the removal of a single entry. The key and/or value may be null if they were already garbage collected.

Like other `Map.Entry` instances associated with `CacheBuilder`, this class holds strong references to the key and value, regardless of the type of references the cache may be using.

Since:
  10.0
Author:
  Charles Fry

Method Summary
`boolean` | `equals(Object object)`
`RemovalCause` | `getCause()` Returns the cause for which the entry was removed.
`K` | `getKey()`
`V` | `getValue()`
`int` | `hashCode()`
`V` | `setValue(V value)`
`String` | `toString()` Returns a string representation of the form `{key}={value}`.
`boolean` | `wasEvicted()` Returns `true` if there was an automatic removal due to eviction (the cause is neither `RemovalCause.EXPLICIT` nor `RemovalCause.REPLACED`).

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getCause

    public RemovalCause getCause()

  Returns the cause for which the entry was removed.

### wasEvicted

    public boolean wasEvicted()

  Returns `true` if there was an automatic removal due to eviction (the cause is neither `RemovalCause.EXPLICIT` nor `RemovalCause.REPLACED`).

### getKey

    @Nullable
    public K getKey()

  Specified by:
    `getKey` in interface `Map.Entry<K,V>`

### getValue

    @Nullable
    public V getValue()

  Specified by:
    `getValue` in interface `Map.Entry<K,V>`

### setValue

    public final V setValue(V value)

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`

### equals

    public boolean equals(@Nullable
                          Object object)

  Specified by:
    `equals` in interface `Map.Entry<K,V>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Returns a string representation of the form `{key}={value}`.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.